Subject: Re: the git add command

From: Konstantin Tokarev <[email-masked]>
Date: Wed, 17 Feb 2021 23:48:44 +0300

16.02.2021, 19:08, "Knapperig knaapie" <[email-masked]>:
> Hello there,
>
> I recently made a change to a project, and for adding a file I changed
> to the staging area I used the command 'git add ookleuk/admin.py'. At
> this point I was logged into the parent directory of 'ookleuk' on the
> command line. However, when I used the push command, I got the response
> 'everything up to date'. For now it isn't a problem, because when I used
> the command 'git add .' everything worked fine and the files in the
> repository got updated, but honestly, I want to be sure I'll be able to
> only upload specific files in the future.

In this case you should better use git gui to add files. It allows not only to add
individual files quickly, but also add specific part of changes in a file, e.g. omit
leftover debug lines or changes related to another topic. Corresponding
command line tools like git add -p or git add -i are quite tedious to use.

>
> A screenshot of the problem occurring on the command line is attached.
> Holler if you need more info.
>
> Greetings, Isaac

-- 
Regards,
Konstantin